| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.MenuComboToolbar.TearoffMenuItem

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
A menu item used to tear off and reattach its menu
Synopsis

data TearoffMenuItem
class MenuItemClass o => TearoffMenuItemClass o
castToTearoffMenuItem :: GObjectClass obj => obj -> TearoffMenuItem
toTearoffMenuItem :: TearoffMenuItemClass o => o -> TearoffMenuItem
tearoffMenuItemNew :: IO TearoffMenuItem

Detail

A `TearoffMenuItem` is a special `MenuItem` which is used to tear off and reattach its menu.

When its menu is shown normally, the `TearoffMenuItem` is drawn as a dotted line indicating that the menu can be torn off. Activating it causes its menu to be torn off and displayed in its own window as a tearoff menu.

When its menu is shown as a tearoff menu, the `TearoffMenuItem` is drawn as a dotted line which has a left pointing arrow graphic indicating that the tearoff menu can be reattached. Activating it will erase the tearoff menu window.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----Item
     |                                 +----MenuItem
     |                                       +----TearoffMenuItem

Types
data TearoffMenuItem

Instances

class MenuItemClass o => TearoffMenuItemClass o

Instances

castToTearoffMenuItem :: GObjectClass obj => obj -> TearoffMenuItem
toTearoffMenuItem :: TearoffMenuItemClass o => o -> TearoffMenuItem
Constructors
tearoffMenuItemNew :: IO TearoffMenuItem
Creates a new `TearoffMenuItem`.
Produced by Haddock version 2.4.2